epp_Credentials (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.epp_Credentials class

### org.openrtk.idl.epp02

# Class epp_Credentials

- `java.lang.Object`
- - `org.openrtk.idl.epp02.epp_Credentials`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_Credentials`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/epp_Credentials.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp.idl Thursday, July 26, 2001 6:26:04 PM EDT

  ## Field Summary
  `String` | `m_client_id`
  `String` | `m_new_password`
  `epp_Options` | `m_options`
  `String` | `m_password`

  ## Constructor Summary
  `epp_Credentials()`
  `epp_Credentials(String _m_client_id, String _m_password, String _m_new_password, epp_Options _m_options)`

  ## Method Summary
  `String` | `getClientId()`
  `String` | `getNewPassword()`
  `epp_Options` | `getOptions()`
  `String` | `getPassword()`
  `void` | `setClientId(String value)`
  `void` | `setNewPassword(String value)`
  `void` | `setOptions(epp_Options value)`
  `void` | `setPassword(String value)`
  `String` | `toString()`

## Field Details

### m_client_id

    public String m_client_id

### m_new_password

    public String m_new_password

### m_options

    public epp_Options m_options

### m_password

    public String m_password

## Constructor Details

### epp_Credentials

    public epp_Credentials()

### epp_Credentials

    public epp_Credentials(String _m_client_id,
                           String _m_password,
                           String _m_new_password,
                           epp_Options _m_options)

## Method Details

### getClientId

    public String getClientId()

### getNewPassword

    public String getNewPassword()

### getOptions

    public epp_Options getOptions()

### getPassword

    public String getPassword()

### setClientId

    public void setClientId(String value)

### setNewPassword

    public void setNewPassword(String value)

### setOptions

    public void setOptions(epp_Options value)

### setPassword

    public void setPassword(String value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS